/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

/**
 * @api
 */
define([
    'Magento_Checkout/js/model/quote',
    'Magento_Checkout/js/model/cart/totals-processor/default'
], function (quote, totalsDefaultProvider) {
    'use strict';

    return function (shippingMethod) {
        quote.shippingMethod(shippingMethod);

        // Update totals on summary
        if (shippingMethod) {
            totalsDefaultProvider.estimateTotals(quote.shippingAddress());
        }
    };
});